    import {Loader} from 'TableFilter/src/modules/loader.js'

public class | source

# Loader

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Loading message/spinner |

## Member Summary

Public Members
public | loaderCloseDelay : number |
public | loaderCssClass : * |
public | loaderDiv : * |
public | loaderHtml : * |
public | loaderText : * |
public | loaderTgtId : * |
public | onHideLoader : * |
public | onShowLoader : * |
public | prfxLoader : string |
public | tf : * |

## Method Summary

Public Methods
public | destroy () |
public | show (p: *) |

## Public Constructors

### public constructor(tf: Object) source

Loading message/spinner

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public loaderCloseDelay: number source

### public loaderCssClass: * source

### public loaderDiv: * source

### public loaderHtml: * source

### public loaderText: * source

### public loaderTgtId: * source

### public onHideLoader: * source

### public onShowLoader: * source

### public prfxLoader: string source

### public tf: * source

## Public Methods

### public destroy() source

### public show(p: *) source

#### Params:

Name | Type | Attribute | Description
p | * |  |